sabre/dav 2.0 released.

I just released sabre/dav 2.0. It’s been 18 months since 1.8, and almost 5 years since the 1.0 release, so it’s been a long time coming.

PHP 5.3 support is now dropped, PSR-4 adopted, and it spawned two new php packages: sabre/event and sabre/http. Hopefully they are useful beyond the realm of sabre/dav.

We’ve made lots of performance jumps, did a ton of refactoring and added a bunch of new features.

Thanks everyone for hanging in there, and I hope everybody likes what we’ve done so far ;).

The full announcement can be found on the website.

If you did any customizations and you’re upgrading from 1.8, we also wrote extensive upgrade instructions that hopefully covers everything.